xmonad-contrib-0.11.2: Third party extensions for xmonad

Portability | portable
Stability | unstable
Maintainer | <byorgey@gmail.com>
Safe Haskell | None

XMonad.Layout.Spacing

Contents

- Usage

Description

Add a configurable amount of space around windows.

Synopsis

- spacing :: Int -> l a -> ModifiedLayout Spacing l a
- data Spacing a
- smartSpacing :: Int -> l a -> ModifiedLayout SmartSpacing l a
- data SmartSpacing a

# Usage

You can use this module by importing it into your `~/.xmonad/xmonad.hs` file:

     import XMonad.Layout.Spacing

and modifying your layoutHook as follows (for example):

     layoutHook = spacing 2 $ Tall 1 (3/100) (1/2)
                          -- put a 2px space around every window

spacing :: Int -> l a -> ModifiedLayout Spacing l aSource

Surround all windows by a certain number of pixels of blank space.

data Spacing a Source

Instances

LayoutModifier Spacing a |
Read (Spacing a) |
Show (Spacing a) |

smartSpacing :: Int -> l a -> ModifiedLayout SmartSpacing l aSource

Surrounds all windows with blank space, except when the window is the only visible window on the current workspace.

data SmartSpacing a Source

Instances

LayoutModifier SmartSpacing a |
Read (SmartSpacing a) |
Show (SmartSpacing a) |